Debian Bug report logs - #687398
rhash: FTBFS: plug_openssl.c:142: undefined reference to `dlopen'

version graph

Package: src:rhash; Maintainer for src:rhash is Aleksey Kravchenko <rhash.admin@gmail.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 Sep 2012 13:06:08 UTC

Severity: serious

Tags: sid, wheezy

Found in version rhash/1.2.9-7

Fixed in version rhash/1.2.9-8

Done: Aleksey Kravchenko <rhash.admin@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Wed, 12 Sep 2012 13:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Wed, 12 Sep 2012 13:06:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: rhash: FTBFS: plug_openssl.c:142: undefined reference to `dlopen'
Date: Wed, 12 Sep 2012 14:33:53 +0200
Source: rhash
Version: 1.2.9-7
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120912 qa-ftbfs
Justification: FTBFS in wheezy on amd64

Hi,

During a rebuild of all packages in *wheezy*, your package failed to
build on amd64.

Relevant part:
> gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
> librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
> /«PKGBUILDDIR»/librhash/plug_openssl.c:141: undefined reference to `dlopen'
> /«PKGBUILDDIR»/librhash/plug_openssl.c:148: undefined reference to `dlsym'
> /«PKGBUILDDIR»/librhash/plug_openssl.c:148: undefined reference to `dlsym'
> /«PKGBUILDDIR»/librhash/plug_openssl.c:148: undefined reference to `dlsym'
> /«PKGBUILDDIR»/librhash/plug_openssl.c:149: undefined reference to `dlsym'
> /«PKGBUILDDIR»/librhash/plug_openssl.c:149: undefined reference to `dlsym'
> librhash/librhash.a(plug_openssl.o):/«PKGBUILDDIR»/librhash/plug_openssl.c:149: more undefined references to `dlsym' follow
> librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
> /«PKGBUILDDIR»/librhash/plug_openssl.c:142: undefined reference to `dlopen'
> /«PKGBUILDDIR»/librhash/plug_openssl.c:143: undefined reference to `dlopen'
> collect2: error: ld returned 1 exit status

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/09/12/rhash_1.2.9-7_wheezy.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Sun, 16 Sep 2012 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Sun, 16 Sep 2012 20:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 687398@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 687398@bugs.debian.org
Cc: control@bugs.debian.org
Subject: unreproducible
Date: Sun, 16 Sep 2012 22:09:15 +0200
[Message part 1 (text/plain, inline)]
package src:rhash
tags 687398 unreproducible
thanks

Hi,

I could not reproduce this bug, either with cowbuilder or sbuild.

Please find enclosed my build log with sbuild and the diff against the
one attached to the bug report.

Kind regards,

Cédric
[rhash_1.2.9-7_amd64-20120916-1516.build.diff.xz (application/octet-stream, attachment)]
[rhash_1.2.9-7_amd64-20120916-1516.build.xz (application/octet-stream, attachment)]

Added tag(s) unreproducible. Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to control@bugs.debian.org. (Sun, 16 Sep 2012 20:12:05 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Tue, 18 Sep 2012 21:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Tue, 18 Sep 2012 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Tue, 18 Sep 2012 21:42:05 GMT) Full text and rfc822 format available.

Message #19 received at 687398@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 687398@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#687398: unreproducible
Date: Wed, 19 Sep 2012 03:06:52 +0600
[Message part 1 (text/plain, inline)]
package src:rhash
tags 687398 - unreproducible
thanks

> I could not reproduce this bug, either with cowbuilder or sbuild.
> 
> Please find enclosed my build log with sbuild and the diff against the
> one attached to the bug report.
Thanks for the diff, it helped a lot. Your difference is that you don't
use the parallel build while Lucas does. The upstream Makefiles
are broken wrt recursive parallel make invocations in several places, as
they call just 'make', see
http://www.gnu.org/software/make/manual/html_node/MAKE-Variable.html
Also, the package rules file tries to be smarter than the upstream build
system by passing SHARED_TRG=rhash, thus effectively breaking it: the
top-level Makefile contains a "$(TARGET):" rule, that expands to "rhash"
and builds a "rhash" static binary, and a "rhash-shared" rule that builds
a "$(SHARED_TRG)" ("rhash_shared" by default) shared binary. For reasons
that I don't want to investigate this leads to a shared "rhash" binary
being built with -j1 (which was apparently the maintainer's intent) but a
static "rhash" binary built with -jN, which not only would overwrite the
intended shared binary, but also fails to link (this seems to be a good
thing, actually).

I suggest either heavy patching of the upstream build system or yielding
to it and renaming the binaries after the building.

I also don't get +$(MAKE) commands in debian/rules, that seems excessive.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Sun, 30 Sep 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Sun, 30 Sep 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 687398@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 687398@bugs.debian.org
Subject: More information on how to reproduce the `dlopen' issue
Date: Sun, 30 Sep 2012 18:10:16 -0400 (EDT)
wRAR, thank you for your excellent detective work.

Here's how you reproduce this build issue without even enabling parallel 
build.

(Sadly I can't actually reproduce the brokenness from within 
dpkg-buildpackage by setting parallel build options; maybe my machine 
doesn't have as many cores as the EC2 machines. But the fix described 
below does clarify the build process which should take care of the 
problem.)

$ (rhash-1.2.9) rm rhash
$ (rhash-1.2.9) make rhash
gcc calc_sums.o hash_print.o common_func.o hash_update.o file_mask.o 
file_set.o find_file.o hash_check.o output.o parse_cmdline.o rhash_main.o 
win_utils.o -o rhash -Llibrhash -lrhash
librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
/tmp/rhash-1.2.9/librhash/plug_openssl.c:141: undefined reference to 
`dlopen'
/tmp/rhash-1.2.9/librhash/plug_openssl.c:148: undefined reference to 
`dlsym'
/tmp/rhash-1.2.9/librhash/plug_openssl.c:148: undefined reference to 
`dlsym'
/tmp/rhash-1.2.9/librhash/plug_openssl.c:148: undefined reference to 
`dlsym'
/tmp/rhash-1.2.9/librhash/plug_openssl.c:149: undefined reference to 
`dlsym'
/tmp/rhash-1.2.9/librhash/plug_openssl.c:149: undefined reference to 
`dlsym'
librhash/librhash.a(plug_openssl.o):/tmp/rhash-1.2.9/librhash/plug_openssl.c:149: 
more undefined references to `dlsym' follow
librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
/tmp/rhash-1.2.9/librhash/plug_openssl.c:142: undefined reference to 
`dlopen'
/tmp/rhash-1.2.9/librhash/plug_openssl.c:143: undefined reference to 
`dlopen'
collect2: error: ld returned 1 exit status
make: *** [rhash] Error 1

When SHARED_TRG is just 'rhash', then the build gets confused in parallel 
mode, I suppose. In principle, it's within its right to be confused; 
you're asking it to do 'make rhash', after all.

So what I'm going to do is:

* Adjust debian/rules to *not* specify SHARED_TRG

* Right after rhash_shared is built, use 'mv' to rename it to 'rhash'

That's all it should take to fix this, I believe.

I'll prepare a 1-day delayed NMU for that. Maintainer, please feel free to 
remove it; I don't mean to step on your toes, just to move this bug along.

I'll attach the debdiff here before doing the upload.



Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Sun, 30 Sep 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 30 Sep 2012 22:27:03 GMT) Full text and rfc822 format available.


Message #29 received at 687398@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 687398@bugs.debian.org
Date: Sun, 30 Sep 2012 18:22:16 -0400 (EDT)
[Message part 1 (text/plain, inline)]
debdiff attached, as promised!
[debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Mon, 01 Oct 2012 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Mon, 01 Oct 2012 06:57:03 GMT) Full text and rfc822 format available.

Message #34 received at 687398@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 687398@bugs.debian.org
Subject: Re: Bug#687398: More information on how to reproduce the `dlopen' issue
Date: Mon, 1 Oct 2012 12:52:43 +0600
[Message part 1 (text/plain, inline)]
On Sun, Sep 30, 2012 at 06:10:16PM -0400, Asheesh Laroia wrote:
> (Sadly I can't actually reproduce the brokenness from within
> dpkg-buildpackage by setting parallel build options; maybe my
> machine doesn't have as many cores as the EC2 machines. But the fix
> described below does clarify the build process which should take
> care of the problem.)
For the reference: I did it on a 4-core machine with parallel=5.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Mon, 01 Oct 2012 07:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Mon, 01 Oct 2012 07:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Mon, 01 Oct 2012 07:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 01 Oct 2012 07:42:11 GMT) Full text and rfc822 format available.


Added tag(s) patch. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Sun, 21 Oct 2012 22:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Wed, 24 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Wed, 24 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Message #51 received at 687398@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Asheesh Laroia <asheesh@asheesh.org>, 687398@bugs.debian.org
Subject: Re: Bug#687398: More information on how to reproduce the `dlopen' issue
Date: Wed, 24 Oct 2012 17:46:12 +0200
[Message part 1 (text/plain, inline)]
On Sun, 30 Sep 2012 18:10:16 -0400, Asheesh Laroia wrote:

> So what I'm going to do is:
> 
> * Adjust debian/rules to *not* specify SHARED_TRG
> 
> * Right after rhash_shared is built, use 'mv' to rename it to 'rhash'
> 
> That's all it should take to fix this, I believe.
> 
> I'll prepare a 1-day delayed NMU for that. Maintainer, please feel
> free to remove it; I don't mean to step on your toes, just to move
> this bug along.
> 
> I'll attach the debdiff here before doing the upload.

The debdiff arrived some minutes later, but I don't see an upload.
What's the status?

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Various Artists: Katie
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Wed, 24 Oct 2012 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Wed, 24 Oct 2012 18:09:04 GMT) Full text and rfc822 format available.

Message #56 received at 687398@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 687398@bugs.debian.org
Subject: Re: Bug#687398: More information on how to reproduce the `dlopen' issue
Date: Wed, 24 Oct 2012 14:08:11 -0400 (EDT)
On Wed, 24 Oct 2012, gregor herrmann wrote:

> The debdiff arrived some minutes later, but I don't see an upload. 
> What's the status?

Oh, snap, I neglected to upload the actual NMU. I will do that tonight, 
unless someone (gregoa?) beats me to it.



Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Wed, 24 Oct 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Wed, 24 Oct 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #61 received at 687398@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Asheesh Laroia <asheesh@asheesh.org>, 687398@bugs.debian.org
Subject: Re: Bug#687398: More information on how to reproduce the `dlopen' issue
Date: Wed, 24 Oct 2012 20:15:07 +0200
[Message part 1 (text/plain, inline)]
On Wed, 24 Oct 2012 14:08:11 -0400, Asheesh Laroia wrote:

> >The debdiff arrived some minutes later, but I don't see an upload.
> >What's the status?
> Oh, snap, I neglected to upload the actual NMU. I will do that
> tonight, unless someone (gregoa?) beats me to it.

I'm happy to leave the honour^Wwork to you as I'm looking at another
RC bug right now :) 


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Various Artists: Katie
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Fri, 26 Oct 2012 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Fri, 26 Oct 2012 04:39:03 GMT) Full text and rfc822 format available.

Message #66 received at 687398@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 687398@bugs.debian.org
Subject: Now FTBFS...?
Date: Fri, 26 Oct 2012 00:35:06 -0400 (EDT)
I just tried to build my debdiff and do an NMU, and it ends with this 
message:

Finished tests in 0.001844s, 2711.3306 tests/s, 15725.7175 assertions/s.

5 tests, 29 assertions, 0 failures, 0 errors, 0 skips
make[1]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings'
/usr/bin/make -C bindings build 
LIBRHASH_INC="-I/tmp/buildd/rhash-1.2.9/debian/tmp" 
LIBRHASH_LD="-Wl,--as-needed -L/tmp/buildd/rhash-1.2.9/debian/tmp" 
BINDINGS="mono"
make[1]: Entering directory `/tmp/buildd/rhash-1.2.9/bindings'
make -C mono
make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/bindings/mono'
gmcs -target:library -define:UNIX -out:RHash.dll -debug -keyfile:RHash.snk 
AssemblyInfo.cs Bindings.cs Hasher.cs HashType.cs
make[2]: gmcs: Command not found
make[2]: *** [RHash.dll] Error 127
make[2]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings/mono'
make[1]: *** [build-mono] Error 2
make[1]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings'
make: *** [build-indep] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env
I: removing directory /var/cache/pbuilder/build//16252 and its 
subdirectories

...why is gmcs not findable in my pbuilder chroot? I checked, and 
mono-gmcs is still a dependency.

Not sure. Heading to bed for now.



Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Fri, 26 Oct 2012 09:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Fri, 26 Oct 2012 09:03:06 GMT) Full text and rfc822 format available.

Message #71 received at 687398@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Asheesh Laroia <asheesh@asheesh.org>, 687398@bugs.debian.org
Subject: Re: Bug#687398: Now FTBFS...?
Date: Fri, 26 Oct 2012 15:00:29 +0600
[Message part 1 (text/plain, inline)]
On Fri, Oct 26, 2012 at 12:35:06AM -0400, Asheesh Laroia wrote:
> I just tried to build my debdiff and do an NMU, and it ends with
> this message:
> 
> Finished tests in 0.001844s, 2711.3306 tests/s, 15725.7175 assertions/s.
> 
> 5 tests, 29 assertions, 0 failures, 0 errors, 0 skips
> make[1]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings'
> /usr/bin/make -C bindings build
> LIBRHASH_INC="-I/tmp/buildd/rhash-1.2.9/debian/tmp"
> LIBRHASH_LD="-Wl,--as-needed -L/tmp/buildd/rhash-1.2.9/debian/tmp"
> BINDINGS="mono"
> make[1]: Entering directory `/tmp/buildd/rhash-1.2.9/bindings'
> make -C mono
> make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/bindings/mono'
> gmcs -target:library -define:UNIX -out:RHash.dll -debug
> -keyfile:RHash.snk AssemblyInfo.cs Bindings.cs Hasher.cs HashType.cs
> make[2]: gmcs: Command not found
> make[2]: *** [RHash.dll] Error 127
> make[2]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings/mono'
> make[1]: *** [build-mono] Error 2
> make[1]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings'
> make: *** [build-indep] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> E: Failed autobuilding of package
> I: unmounting dev/pts filesystem
> I: unmounting proc filesystem
> I: cleaning the build env
> I: removing directory /var/cache/pbuilder/build//16252 and its
> subdirectories
> 
> ...why is gmcs not findable in my pbuilder chroot? I checked, and
> mono-gmcs is still a dependency.
Yeah, I've seen that too. mono-gmcs was not installed by pbuilder even
though it's in the deps, but "mono-gmcs (>= 1.1.8) | c-sharp-2.0-compiler"
dep was apparently resolved by mono-devel pulled by other deps (actually I
don't know whether pbuilder dep resolution works that way or there is
something else happening here).

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Sat, 27 Oct 2012 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Sat, 27 Oct 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #76 received at 687398@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Andrey Rahmatullin <wrar@wrar.name>, 687398@bugs.debian.org
Cc: Asheesh Laroia <asheesh@asheesh.org>
Subject: Re: Bug#687398: Now FTBFS...?
Date: Sat, 27 Oct 2012 18:02:27 +0200
[Message part 1 (text/plain, inline)]
On Fri, 26 Oct 2012 15:00:29 +0600, Andrey Rahmatullin wrote:

> > make[2]: gmcs: Command not found
> > make[2]: *** [RHash.dll] Error 127
> > make[2]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings/mono'
> > make[1]: *** [build-mono] Error 2
> > make[1]: Leaving directory `/tmp/buildd/rhash-1.2.9/bindings'
> > make: *** [build-indep] Error 2
> > dpkg-buildpackage: error: debian/rules build gave error exit status 2
> > E: Failed autobuilding of package
> > I: unmounting dev/pts filesystem
> > I: unmounting proc filesystem
> > I: cleaning the build env
> > I: removing directory /var/cache/pbuilder/build//16252 and its
> > subdirectories
> > 
> > ...why is gmcs not findable in my pbuilder chroot? I checked, and
> > mono-gmcs is still a dependency.

> Yeah, I've seen that too. mono-gmcs was not installed by pbuilder even
> though it's in the deps, but "mono-gmcs (>= 1.1.8) | c-sharp-2.0-compiler"
> dep was apparently resolved by mono-devel pulled by other deps (actually I
> don't know whether pbuilder dep resolution works that way or there is
> something else happening here).

Same here, and I agree with the analysis.
This shouldn't be a problem with sbuild (in its default
configuratiion where it ignore alternative dependencies), but still
the Build-Dep since wrong if gmcs is really needed:

#v+
diff -Nru rhash-1.2.9/debian/control rhash-1.2.9/debian/control
--- rhash-1.2.9/debian/control  2012-06-17 14:12:03.000000000 +0200
+++ rhash-1.2.9/debian/control  2012-10-27 18:01:45.000000000 +0200
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aleksey Kravchenko <rhash.admin@gmail.com>
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.2), libssl-dev (>= 1.0.0), default-jdk, junit4, default-jdk-doc, perl, python (>= 2.6.6-3~), ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev, chrpath
-Build-Depends-Indep: cli-common-dev (>= 0.8~), mono-gmcs (>= 1.1.8) | c-sharp-2.0-compiler, monodoc-base
+Build-Depends-Indep: cli-common-dev (>= 0.8~), mono-gmcs (>= 1.1.8), monodoc-base
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://rhash.sourceforge.net/
#v-


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Die Quote: Stufenziellied
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Fri, 02 Nov 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Fri, 02 Nov 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #81 received at 687398@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687398@bugs.debian.org
Cc: Asheesh Laroia <asheesh@asheesh.org>, Andrey Rahmatullin <wrar@wrar.name>
Subject: rhash: diff for NMU version 1.2.9-7.1
Date: Fri, 2 Nov 2012 15:37:18 +0100
[Message part 1 (text/plain, inline)]
tags 687398 + pending
thanks

Dear maintainer,

I've prepared an NMU for rhash (versioned as 1.2.9-7.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Beach Boys
[rhash-1.2.9-7.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 02 Nov 2012 14:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Fri, 02 Nov 2012 15:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Fri, 02 Nov 2012 15:45:06 GMT) Full text and rfc822 format available.

Message #88 received at 687398@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: gregor herrmann <gregoa@debian.org>
Cc: 687398@bugs.debian.org, Asheesh Laroia <asheesh@asheesh.org>
Subject: Re: rhash: diff for NMU version 1.2.9-7.1
Date: Fri, 2 Nov 2012 21:43:30 +0600
[Message part 1 (text/plain, inline)]
On Fri, Nov 02, 2012 at 03:37:18PM +0100, gregor herrmann wrote:
> tags 687398 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for rhash (versioned as 1.2.9-7.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

`make -C librhash test` still builds the static rhash binary which btw is not
possible as it doesn't try to link to -ldl.


# Move the rhash_shared binary to be called rhash, so that the tests use that
# (and also since that is the binary name we will install into /usr/bin)
mv rhash_shared rhash
# Compile language bindings.
mkdir -p /tmp/buildd/rhash-1.2.9/debian/tmp && ln -fs /tmp/buildd/rhash-1.2.9/librhash /tmp/buildd/rhash-1.2.9/debian/tmp/rhash
ln -fs /tmp/buildd/rhash-1.2.9/librhash/librhash.so.0 /tmp/buildd/rhash-1.2.9/debian/tmp/ && ln -fs /tmp/buildd/rhash-1.2.9/debian/tmp/librhash.so.0 /tmp/buildd/rhash-1.2.9/debian/tmp/librhash.so
/usr/bin/make test-lib test CFLAGS="-DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" LIBLDFLAGS="-Wl,-z,relro -ldl" LD_LIBRARY_PATH="/tmp/buildd/rhash-1.2.9/debian/tmp:"
make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
make -C librhash test
make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
gcc calc_sums.o hash_print.o common_func.o hash_update.o file_mask.o file_set.o find_file.o hash_check.o output.o parse_cmdline.o rhash_main.o win_utils.o -o rhash -Llibrhash -lrhash  
gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
/tmp/buildd/rhash-1.2.9/librhash/plug_openssl.c:141: undefined reference to `dlopen'


Tested with

DEB_BUILD_OPTIONS=parallel=5 sudo -E cowbuilder --build rhash_1.2.9-7.1.dsc


-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Fri, 02 Nov 2012 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Fri, 02 Nov 2012 16:15:06 GMT) Full text and rfc822 format available.

Message #93 received at 687398@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Andrey Rahmatullin <wrar@wrar.name>, 687398@bugs.debian.org
Cc: Asheesh Laroia <asheesh@asheesh.org>
Subject: Re: Bug#687398: rhash: diff for NMU version 1.2.9-7.1
Date: Fri, 2 Nov 2012 17:13:57 +0100
[Message part 1 (text/plain, inline)]
On Fri, 02 Nov 2012 21:43:30 +0600, Andrey Rahmatullin wrote:

> > I've prepared an NMU for rhash (versioned as 1.2.9-7.1) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> `make -C librhash test` still builds the static rhash binary which btw is not
> possible as it doesn't try to link to -ldl.

Thanks for checking.
 
> make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
> make -C librhash test
> make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
> make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
> gcc calc_sums.o hash_print.o common_func.o hash_update.o file_mask.o file_set.o find_file.o hash_check.o output.o parse_cmdline.o rhash_main.o win_utils.o -o rhash -Llibrhash -lrhash  
> gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
> librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
> /tmp/buildd/rhash-1.2.9/librhash/plug_openssl.c:141: undefined reference to `dlopen'
 
> Tested with
> DEB_BUILD_OPTIONS=parallel=5 sudo -E cowbuilder --build rhash_1.2.9-7.1.dsc

I built it with the parallel options too.

I've now tried exactly your commandline, and it still works:

make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
make -C librhash test
make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
gcc  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.o -L. -lrhash -Wl,-z,relro -ldl -o test_hashes
./test_hashes
All sums are working properly!


Interesting difference; this is a bit mysterious ....


Oh, interesting, I now tried in an i386 chroot, and now I got the failure:

make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
make -C librhash test
make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
gcc calc_sums.o hash_print.o common_func.o hash_update.o file_mask.o file_set.o find_file.o hash_check.o output.o parse_cmdline.o rhash_main.o win_utils.o -o rhash -Llibrhash -lrhash  
gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
/tmp/buildd/rhash-1.2.9/librhash/plug_openssl.c:141: undefined reference to `dlopen'


Ok, NMU cancelled until this is sorted out ...


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Sting: I Hung My Head
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 02 Nov 2012 16:15:07 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 04 Nov 2012 13:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Sun, 25 Nov 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Sun, 25 Nov 2012 16:33:04 GMT) Full text and rfc822 format available.

Message #102 received at 687398@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: Andrey Rahmatullin <wrar@wrar.name>, 687398@bugs.debian.org, Asheesh Laroia <asheesh@asheesh.org>
Subject: Re: Bug#687398: rhash: diff for NMU version 1.2.9-7.1
Date: Sun, 25 Nov 2012 17:31:55 +0100
Hi,

On Fri, Nov 02, 2012 at 05:13:57PM +0100, gregor herrmann wrote:
> On Fri, 02 Nov 2012 21:43:30 +0600, Andrey Rahmatullin wrote:
> 
> > > I've prepared an NMU for rhash (versioned as 1.2.9-7.1) and
> > > uploaded it to DELAYED/2. Please feel free to tell me if I
> > > should delay it longer.
> > `make -C librhash test` still builds the static rhash binary which btw is not
> > possible as it doesn't try to link to -ldl.
> 
> Thanks for checking.
>  
> > make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
> > make -C librhash test
> > make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
> > make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
> > gcc calc_sums.o hash_print.o common_func.o hash_update.o file_mask.o file_set.o find_file.o hash_check.o output.o parse_cmdline.o rhash_main.o win_utils.o -o rhash -Llibrhash -lrhash  
> > gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
> > librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
> > /tmp/buildd/rhash-1.2.9/librhash/plug_openssl.c:141: undefined reference to `dlopen'
>  
> > Tested with
> > DEB_BUILD_OPTIONS=parallel=5 sudo -E cowbuilder --build rhash_1.2.9-7.1.dsc
> 
> I built it with the parallel options too.
> 
> I've now tried exactly your commandline, and it still works:
> 
> make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
> make -C librhash test
> make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
> make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
> gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
> gcc  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.o -L. -lrhash -Wl,-z,relro -ldl -o test_hashes
> ./test_hashes
> All sums are working properly!
> 
> Interesting difference; this is a bit mysterious ....
> 
> Oh, interesting, I now tried in an i386 chroot, and now I got the failure:
> 
> make[1]: Entering directory `/tmp/buildd/rhash-1.2.9'
> make -C librhash test
> make[2]: Entering directory `/tmp/buildd/rhash-1.2.9/librhash'
> make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
> gcc calc_sums.o hash_print.o common_func.o hash_update.o file_mask.o file_set.o find_file.o hash_check.o output.o parse_cmdline.o rhash_main.o win_utils.o -o rhash -Llibrhash -lrhash  
> gcc -c  -pipe -DIN_RHASH  -DUSE_GETTEXT -DNDEBUG -D_FORTIFY_SOURCE=2 -Wall -fomit-frame-pointer -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations test_hashes.c -o test_hashes.o
> librhash/librhash.a(plug_openssl.o): In function `load_openssl_runtime':
> /tmp/buildd/rhash-1.2.9/librhash/plug_openssl.c:141: undefined reference to `dlopen'
> 
> Ok, NMU cancelled until this is sorted out ...

For the record, I tried a build of Gregor's NMU patch using sbuild and
DEB_BUILD_OPTIONS=parallel=4 on both i386 and amd64 and they both worked
fine.


Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Aleksey Kravchenko <rhash.admin@gmail.com>:
Bug#687398; Package src:rhash. (Sun, 25 Nov 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Aleksey Kravchenko <rhash.admin@gmail.com>. (Sun, 25 Nov 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #107 received at 687398@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: Andrey Rahmatullin <wrar@wrar.name>, 687398@bugs.debian.org, Asheesh Laroia <asheesh@asheesh.org>
Subject: Re: Bug#687398: rhash: diff for NMU version 1.2.9-7.1
Date: Sun, 25 Nov 2012 18:09:11 +0100
Hi,

On Sun, Nov 25, 2012 at 05:31:55PM +0100, Michael Banck wrote:
> On Fri, Nov 02, 2012 at 05:13:57PM +0100, gregor herrmann wrote:
> > Ok, NMU cancelled until this is sorted out ...
> 
> For the record, I tried a build of Gregor's NMU patch using sbuild and
> DEB_BUILD_OPTIONS=parallel=4 on both i386 and amd64 and they both worked
> fine.

Ok, in an i386 chroot on my amd64 machine I can reproduce this as
well, just not every time...


Michael



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687398; Package src:rhash. (Wed, 28 Nov 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aleksey Kravchenko <rhash.admin@gmail.com>:
Extra info received and forwarded to list. (Wed, 28 Nov 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #112 received at 687398@bugs.debian.org (full text, mbox):

From: Aleksey Kravchenko <rhash.admin@gmail.com>
To: Asheesh Laroia <asheesh@asheesh.org>, 687398@bugs.debian.org, gregor herrmann <gregoa@debian.org>
Cc: Andrey Rahmatullin <wrar@wrar.name>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#687398: rhash: diff for NMU version 1.2.9-7.1
Date: Thu, 29 Nov 2012 02:36:08 +0700
[Message part 1 (text/plain, inline)]
Gentlemen,
thank you for investigating such twisted issue!

When building in parallel, sometime librhash.a was created prior to
librhash.so and rhash_shared binary.
The command 'mv rhash_shared rhash' preserved timestamp.
Then wrong static 'rhash' binary was re-built by command 'make test' (as
required by Makefile dependencies) but without all necessary CFLAGS.
That led to linker error.

The bug can be fixed by changing 'mv rhash_shared rhash' line to
 'cp rhash_shared rhash'
or
 'mv rhash_shared rhash && touch rhash'.

I'm preparing a package with the fix and will upload it to ftpmaster asap.

26.11.2012 0:09, Michael Banck wrote:
> Hi,
> 
> On Sun, Nov 25, 2012 at 05:31:55PM +0100, Michael Banck wrote:
>> On Fri, Nov 02, 2012 at 05:13:57PM +0100, gregor herrmann wrote:
>>> Ok, NMU cancelled until this is sorted out ...
>>
>> For the record, I tried a build of Gregor's NMU patch using sbuild and
>> DEB_BUILD_OPTIONS=parallel=4 on both i386 and amd64 and they both worked
>> fine.
> 
> Ok, in an i386 chroot on my amd64 machine I can reproduce this as
> well, just not every time...
> 
> 
> Michael
> 

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Aleksey Kravchenko <rhash.admin@gmail.com>:
You have taken responsibility. (Mon, 10 Dec 2012 20:51:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 10 Dec 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #117 received at 687398-close@bugs.debian.org (full text, mbox):

From: Aleksey Kravchenko <rhash.admin@gmail.com>
To: 687398-close@bugs.debian.org
Subject: Bug#687398: fixed in rhash 1.2.9-8
Date: Mon, 10 Dec 2012 20:48:11 +0000
Source: rhash
Source-Version: 1.2.9-8

We believe that the bug you reported is fixed in the latest version of
rhash, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687398@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aleksey Kravchenko <rhash.admin@gmail.com> (supplier of updated rhash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Nov 2012 01:47:19 +0700
Source: rhash
Binary: rhash librhash0 librhash-dev librhash0-dbg python-rhash librhash-java librhash-java-doc librhash-perl ruby-rhash librhash-ruby librhash-ruby1.8 librhash1.0-cil librhash-cil-dev librhash-cil-doc monodoc-rhash-manual
Architecture: source amd64 all
Version: 1.2.9-8
Distribution: unstable
Urgency: medium
Maintainer: Aleksey Kravchenko <rhash.admin@gmail.com>
Changed-By: Aleksey Kravchenko <rhash.admin@gmail.com>
Description: 
 librhash-cil-dev - development files for CLI bindings of LibRHash
 librhash-cil-doc - documentation for the CLI bindings of LibRHash
 librhash-dev - header files and a static library for librhash
 librhash-java - Java interface for LibRHash hash sums calculation library
 librhash-java-doc - documentation for librhash Java bindings
 librhash-perl - Perl interface for LibRHash hash sums calculation library
 librhash-ruby - transitional package for ruby-rhash
 librhash-ruby1.8 - transitional package for ruby-rhash, ruby 1.8 specific
 librhash0  - shared library for hash functions computing
 librhash0-dbg - debugging symbols for librhash
 librhash1.0-cil - CLI interface for LibRHash hash sums calculation library
 monodoc-rhash-manual - monodoc manual for the CLI bindings of LibRHash
 python-rhash - Python interface for LibRHash hash sums calculation library
 rhash      - utility for computing hash sums and magnet links
 ruby-rhash - Ruby interface for LibRHash hash sums calculation library
Closes: 687398
Changes: 
 rhash (1.2.9-8) unstable; urgency=medium
 .
   [ Aleksey Kravchenko ]
   * Removed DMUA field to switch to new DM permissions management interface
   [ Asheesh Laroia ]
   * Slight simplification of debian/rules that aims to fix
     parallel builds. In particular, we used to build a dynamically
     linked rhash binary as 'rhash'; now, we build it as 'rhash-shared'
     like the default of the upstream build system, and later rename it
     to 'rhash' as needed. (Closes: #687398)
   [ Gregor Herrmann ]
   * debian/control: remove alternative build dependency on
     c-sharp-2.0-compiler, which gets satisfied by mono-devel, and then the
     needed mono-gmcs is missing. Thanks, Andrey Rahmatullin.
Checksums-Sha1: 
 3ed8d295c8b793ca823708ee1e364f6b45d6c1c6 2113 rhash_1.2.9-8.dsc
 66bece3aec4f5416b6ba1c0e37491320d5e9b4dc 8732 rhash_1.2.9-8.debian.tar.gz
 979b6ff2ee6408daa0166bc3b014fc79242ffae9 56354 rhash_1.2.9-8_amd64.deb
 8b5366cad5b1cde8aba6a572ba796838c41ad78d 91184 librhash0_1.2.9-8_amd64.deb
 57aec4486c85aa64a458acb0ff8a94432ac29f99 102972 librhash-dev_1.2.9-8_amd64.deb
 5365a0b57df1ecdd9328fe264fa19bf28acd48fe 101202 librhash0-dbg_1.2.9-8_amd64.deb
 5f74e1a609e947cf8ac88b75d69b41354c1bd34d 12814 python-rhash_1.2.9-8_all.deb
 dfc38df4fa82f25557bf6c1823666a7f4868726c 19816 librhash-java_1.2.9-8_amd64.deb
 4df98208fd2910afd5e6585605ca429e5ed4f13b 26670 librhash-java-doc_1.2.9-8_all.deb
 55b157dd13aa5bf4e099cdfbf336b22e1c06bc4d 29088 librhash-perl_1.2.9-8_amd64.deb
 49ba69766034eaaf74e5f34b679c3e64a3a195ca 17124 ruby-rhash_1.2.9-8_amd64.deb
 e3d7b39258c63de337290d70a16d07fdbebf68f7 9592 librhash-ruby_1.2.9-8_all.deb
 a7e69520a9311417df65c76e85c5d08431afb007 9628 librhash-ruby1.8_1.2.9-8_all.deb
 52d02cb6f0a6d8fc13a676bc73bf6839d14dde36 13814 librhash1.0-cil_1.2.9-8_all.deb
 5a3a274411903b7a6a344ee4071736ad8dad160e 10066 librhash-cil-dev_1.2.9-8_all.deb
 f0bef6f7399f2452c6c7bcb812b8bbace5c4e2ec 18174 librhash-cil-doc_1.2.9-8_all.deb
 cdc4b84581d515bcd6af76bafeedfc79300cf9ff 14980 monodoc-rhash-manual_1.2.9-8_all.deb
Checksums-Sha256: 
 e298a2362d656e279f653e4ddbbc0e8012395b775f4d32db9809f88fea8b3ca2 2113 rhash_1.2.9-8.dsc
 c3100733c2a7e6193c164a05374579acd83f835689d815a9be1f01bdf45a8eeb 8732 rhash_1.2.9-8.debian.tar.gz
 f9ac1d2015c26457acc205a41bee4f54089cb4f83f77dd7d75d79bb8ef1ccb19 56354 rhash_1.2.9-8_amd64.deb
 8c9bd8c51d6c924dc4ce2591d0d10d4e6069897905e73fe0398952a4b1536e1f 91184 librhash0_1.2.9-8_amd64.deb
 71c8944847338345acfa971e216cdc3f2feeb7d1f5a0b0843e207ae60a1c3ac5 102972 librhash-dev_1.2.9-8_amd64.deb
 6ab84b93f03015f7d0f94dca8a0b9d248b379d6232354df74e97d87466aa96e0 101202 librhash0-dbg_1.2.9-8_amd64.deb
 4fe36acf8c7fb92a823bc2d0eb3a3ac0b557a7fc31fa857d4f02a9c720452e5e 12814 python-rhash_1.2.9-8_all.deb
 89d066a493f113ac4243bba7cda6ab7447bf877d5890ddf218a7155283dd1515 19816 librhash-java_1.2.9-8_amd64.deb
 769f29fef3b357dc69e29cc0fe180709d76a6a0521342aacdb82f4e64ee21beb 26670 librhash-java-doc_1.2.9-8_all.deb
 db028f93ed4c6bffe3f87acde370f7a8442fa35b246680f0e7dd68eee403dfd8 29088 librhash-perl_1.2.9-8_amd64.deb
 363a62d8fa9730cbd53d1aeab8f99d17ea2e26c7b7a3511574b2790deb3580bf 17124 ruby-rhash_1.2.9-8_amd64.deb
 de968a08e3de0ec54f16be460e3c7017597a96b909c0072ec0fdf4365c6268f8 9592 librhash-ruby_1.2.9-8_all.deb
 75fa7e13eca8bc6471ba0d5810a7c27f36373b62acbdac2f1a3cfa175b6babc6 9628 librhash-ruby1.8_1.2.9-8_all.deb
 3236e6fcecbed2489f6784d7e337e61475032b562586706ec2d06f42c11f4c57 13814 librhash1.0-cil_1.2.9-8_all.deb
 e1317259440e433f9223d31e68a308a54bb3e8e2d57012dff8df03a0b489c90d 10066 librhash-cil-dev_1.2.9-8_all.deb
 50810db8a9bea1b6174545a7f1751048d7096f175f361a4ed55663a23a284666 18174 librhash-cil-doc_1.2.9-8_all.deb
 40b4619d4c6fa1b087c3496f5b1bb6b95c1dff7e2634fccd4c2b446a5f757af4 14980 monodoc-rhash-manual_1.2.9-8_all.deb
Files: 
 be2c7c94c0f0c4f829c456467d1bb5a7 2113 utils optional rhash_1.2.9-8.dsc
 e76082e93be35377454e82c1532402b7 8732 utils optional rhash_1.2.9-8.debian.tar.gz
 a764ff46b3c5706f76058ba440a88d13 56354 utils optional rhash_1.2.9-8_amd64.deb
 b7f0557aa11c2335d244f3f7734c35a9 91184 libs optional librhash0_1.2.9-8_amd64.deb
 88bf50ee5dc06cd8b7328fe5bdd881b2 102972 libdevel optional librhash-dev_1.2.9-8_amd64.deb
 562ecddc4550e1a96d4afa7d4eda0023 101202 debug extra librhash0-dbg_1.2.9-8_amd64.deb
 f67941f45726a7156e29bc5d8e5c246e 12814 python optional python-rhash_1.2.9-8_all.deb
 db08452e09acb56c9d13212824bd5b4b 19816 java optional librhash-java_1.2.9-8_amd64.deb
 8772db190d0ac4da915673d7a3cacdbe 26670 doc optional librhash-java-doc_1.2.9-8_all.deb
 46ea1e923bf0f80f0110163339365b3e 29088 perl optional librhash-perl_1.2.9-8_amd64.deb
 12b60a2e811dc98568114724b3c160a2 17124 ruby optional ruby-rhash_1.2.9-8_amd64.deb
 444c33c3b02f7348993cab5ec6a539eb 9592 oldlibs extra librhash-ruby_1.2.9-8_all.deb
 5f946a8beead5f6684a6d58ffdce3867 9628 oldlibs extra librhash-ruby1.8_1.2.9-8_all.deb
 cfa64fd5c06ce7f0e825535c5b9d4622 13814 cli-mono optional librhash1.0-cil_1.2.9-8_all.deb
 7e388b71998a6c56fa307750212f7054 10066 libdevel optional librhash-cil-dev_1.2.9-8_all.deb
 9cf37652a7c31c5949b7e421ba8ccab8 18174 doc optional librhash-cil-doc_1.2.9-8_all.deb
 9e26c79602a59433636fd6ed3a784cae 14980 doc optional monodoc-rhash-manual_1.2.9-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFQxka3vdkzt4X+wX8RAoqGAJ9gBIbSGC7RQsNGZMm+7Lu4U0RAQwCdFb6y
YAlSc8q0+Pms08jG/NCuPDw=
=ud/G
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Jan 2013 07:28:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:41:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.